""" Script for generating figures, see sww2timeseries for documentation"""

from anuga.pyvolution.util import sww2timeseries
import project
from os import sep

# define directory location of sww and gauge data
timestampdir = ''
file_loc = project.outputdir + timestampdir + sep #project.outputtimedir
swwfile = file_loc + project.basename + '.sww'
label_id = timestampdir

# generate figures - see sww2timeseries for documentation
texname = sww2timeseries(swwfile,
                         project.beach_gauges,
                         label_id,
                         report = False,
                         plot_quantity = ['stage', 'speed'],
                         time_min = None,
                         time_max = None,
                         title_on = True,   
                         verbose = True)

print 'finished plotting time series'





