"""
Convert DB's data from lat/long to easting/northing

"""

def alter_file(filename,filenameout):

    from anuga.coordinate_transforms.redfearn import redfearn
    
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    
    fid_out = open(filenameout, 'w')
    s = '%s,%s\n' %('easting','northing')
    fid_out.write(s)
    for line in lines[1:]:
       fields = line.split(',')
       x = float(fields[1])
       y = float(fields[0])
       zone, easting, northing = redfearn(x,y)
       s = '%f,%f\n' %(easting,northing)
       fid_out.write(s)

    fid_out.close() 

    return

import project

filename = project.gaugedir + 'db_points.txt'
filename_out = project.gaugedir + 'db_points_convert.txt'
alter_file(filename,filename_out)
