"""Read in sww file, interpolate at specified locations and plot time series

"""

import project
from pylab import plot, xlabel, ylabel, savefig, ion
from os import sep
 
#time_dir = '20060704_063234'# MSL
time_dir = '20060704_063005'# HAT
directory = project.outputdir
filename = directory + time_dir + sep + 'gauges_time_series_Beadon Bay east.csv'
#filename = directory + time_dir + sep + 'gauges_time_series_Bindi Bindi Community.csv'

def get_time_series_from_file(filename):
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    
    t = []
    stage = []
    depth = []
    elevation = []
    for line in lines[1:]:
        fields = line.split(',')
        t.append(float(fields[0])/3600.0)
        stage.append(float(fields[1]))
        depth.append(float(fields[1])-float(fields[4]))
        elevation.append(float(fields[4]))        
    return t, stage, depth, elevation

t, stage, depth, elevation = get_time_series_from_file(filename)

ion()
# find index for t around 200 mins plot(t[x:], stage[x:])
if elevation[0] < 0:
     plot(t, stage, '-b')
     xlabel('time (hour)') 
     ylabel('wave height [m]')
else:
     plot(t, depth, '-b')
     xlabel('time (hour)')
     ylabel('water depth (m)')

    
savefig('test')


